/****************************************************************************
 *
 *   Copyright (C) 2003, 2004 Wolfgang G. Reissnegger, All Rights Reserved
 *
 *   gnagflow@users.sourceforge.net                                    
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#ifndef UTIL_H_
#define UTIL_H_

#include <assert.h>
#include <string.h>

// global path settings
//
extern char *DIR_MP3;
extern char *DIR_PLAYLIST;
extern char *DIR_CDROM;
extern char *DIR_USB;

// save array copy
//
// This only works, if the target is an ARRAY!
//
#define save_strcpy(_t,_s)  \
    assert(strlen(_s) < sizeof(_t));    \
    strcpy(_t, _s);


// MAX function
//
#define MAX(_a,_b)          ((_a)>(_b))?(_a):(_b)


unsigned int get_timestamp();
void ni(void *data);

#endif
